org.jetlang.remote.acceptor

## Class NioJetlangSendFiber.ChannelState

- java.lang.Object
- - org.jetlang.remote.acceptor.NioJetlangSendFiber.ChannelState

Enclosing class:
  NioJetlangSendFiber

    public static class NioJetlangSendFiber.ChannelState
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ChannelState(SocketChannel channel, NioJetlangRemotingClientFactory.Id id, org.jetlang.fibers.NioFiber fiber)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `closeOnNioFiber()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChannelState

    public ChannelState(SocketChannel channel,
                        NioJetlangRemotingClientFactory.Id id,
                        org.jetlang.fibers.NioFiber fiber)

### Method Detail

#### closeOnNioFiber

    public void closeOnNioFiber()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`